# Object_T.h File Reference

`#include "ace/config-all.h"`
`#include "tao/Versioned_Namespace.h"`
`#include "ace/CORBA_macros.h"`

Include dependency graph for Object_T.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | CORBA
namespace | TAO

## Classes

class | TAO::Narrow_Utils< T >

## Typedefs

typedef Collocation_Proxy_Broker *(* | Proxy_Broker_Factory )(CORBA::Object_ptr)

## Detailed Description

Id
  Object_T.h,v 1.5 2005/11/02 07:13:04 ossama Exp

Templatized utilities common to all IDL interfaces.

Author:
  Jeff Parsons <j.parsons@vanderbilt.edu>

## Typedef Documentation

typedef Collocation_Proxy_Broker*(* TAO::Proxy_Broker_Factory)(CORBA::Object_ptr)